summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.18.55.ebuild53
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.21.55.ebuild50
-rw-r--r--dev-python/django-cors-headers/Manifest1
-rw-r--r--dev-python/django-cors-headers/django-cors-headers-3.10.0.ebuild25
-rw-r--r--dev-python/django/Manifest2
-rw-r--r--dev-python/django/django-3.2.8.ebuild101
-rw-r--r--dev-python/emoji/Manifest1
-rw-r--r--dev-python/emoji/emoji-1.6.0.ebuild17
-rw-r--r--dev-python/flask/Manifest1
-rw-r--r--dev-python/flask/flask-2.0.2.ebuild58
-rw-r--r--dev-python/google-api-core/Manifest1
-rw-r--r--dev-python/google-api-core/google-api-core-2.1.0.ebuild48
-rw-r--r--dev-python/google-api-python-client/Manifest1
-rw-r--r--dev-python/google-api-python-client/google-api-python-client-2.24.0.ebuild51
-rw-r--r--dev-python/h2/Manifest (renamed from dev-python/hyper-h2/Manifest)1
-rw-r--r--dev-python/h2/files/hyper-h2-3.2.0-failed-healthcheck.patch (renamed from dev-python/hyper-h2/files/hyper-h2-3.2.0-failed-healthcheck.patch)0
-rw-r--r--dev-python/h2/h2-3.2.0.ebuild (renamed from dev-python/hyper-h2/hyper-h2-3.2.0.ebuild)8
-rw-r--r--dev-python/h2/h2-4.0.0.ebuild (renamed from dev-python/hyper-h2/hyper-h2-4.0.0.ebuild)8
-rw-r--r--dev-python/h2/h2-4.1.0.ebuild29
-rw-r--r--dev-python/h2/metadata.xml (renamed from dev-python/hyper-h2/metadata.xml)0
-rw-r--r--dev-python/httpcore/httpcore-0.13.3.ebuild2
-rw-r--r--dev-python/httpcore/httpcore-0.13.6.ebuild2
-rw-r--r--dev-python/httpcore/httpcore-0.13.7.ebuild2
-rw-r--r--dev-python/httpx/httpx-0.19.0.ebuild2
-rw-r--r--dev-python/ipykernel/ipykernel-5.5.4-r1.ebuild3
-rw-r--r--dev-python/ipykernel/ipykernel-6.2.0.ebuild3
-rw-r--r--dev-python/jaraco-stream/Manifest1
-rw-r--r--dev-python/jaraco-stream/jaraco-stream-3.0.3.ebuild30
-rw-r--r--dev-python/jupyter_client/Manifest1
-rw-r--r--dev-python/jupyter_client/jupyter_client-7.0.6.ebuild40
-rw-r--r--dev-python/nuitka/Manifest1
-rw-r--r--dev-python/nuitka/nuitka-0.6.17.2.ebuild48
-rw-r--r--dev-python/pikepdf/Manifest1
-rw-r--r--dev-python/pikepdf/pikepdf-3.1.1.ebuild51
-rw-r--r--dev-python/pocketlint/Manifest1
-rw-r--r--dev-python/pocketlint/pocketlint-0.22.ebuild17
-rw-r--r--dev-python/proto-plus/Manifest1
-rw-r--r--dev-python/proto-plus/metadata.xml13
-rw-r--r--dev-python/proto-plus/proto-plus-1.19.2.ebuild34
-rw-r--r--dev-python/pyenchant/Manifest1
-rw-r--r--dev-python/pyenchant/pyenchant-3.2.2.ebuild26
-rw-r--r--dev-python/pynput/Manifest1
-rw-r--r--dev-python/pynput/pynput-1.7.3.ebuild34
-rw-r--r--dev-python/pyu2f/Manifest1
-rw-r--r--dev-python/pyu2f/pyu2f-0.1.5.ebuild32
-rw-r--r--dev-python/subprocess-tee/Manifest1
-rw-r--r--dev-python/subprocess-tee/subprocess-tee-0.3.5.ebuild43
-rw-r--r--dev-python/twisted/twisted-21.2.0-r1.ebuild4
-rw-r--r--dev-python/twisted/twisted-21.7.0.ebuild4
-rw-r--r--dev-python/werkzeug/Manifest1
-rw-r--r--dev-python/werkzeug/werkzeug-2.0.2.ebuild43
-rw-r--r--dev-python/yappi/Manifest1
-rw-r--r--dev-python/yappi/yappi-1.3.3.ebuild36
55 files changed, 925 insertions, 14 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 9f67c94fd264..736addbc15f1 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -3,3 +3,4 @@ DIST boto3-1.18.40.tar.gz 412065 BLAKE2B c548c6a1f5cfac3d304384b56882943201c45f3
DIST boto3-1.18.47.tar.gz 420701 BLAKE2B e58f528d876a29cd992a414e84a807a4fefdeb14b37e0c520f677d61270acd2bd534bd49ccb571d21f41a210946a1897f324a1c41a7e5fd9fe86a8689bc835da SHA512 67075c3d25a99bb3bda44f5108004a672b7f52f00f945f7643063d8c435854d14ffdc98d88d48e80caef850e4d765a7a9a894410398c56518a5cd30e32a7e481
DIST boto3-1.18.53.tar.gz 422176 BLAKE2B a07155f6be71c049479c1d2e47767bb2c6863075ea0085ca5cc4609e28aa8b0af0e2136754c0ed6fd05dfecab079f76d636e19e1b8af4b68220768cea6125e93 SHA512 ae774e3db52a90a0850b4bd90be105d4ab59b6478ed16e30e2cc5afec0664e2b13438ab7a460e570c680d49be240855b7c9ae30a373c83d50dda5da6b84d01b7
DIST boto3-1.18.54.tar.gz 422231 BLAKE2B a010a19a801a939421fab0b8b28ca36bfaceb30380d4e7ace262294acebbc12209cb05ee207a2c8ee536735aadf01c4d15f1c92ab86543970cd967d8a5300b3b SHA512 cb4ee30ee2f7c2270b0f0689707d129fbce94a2e740e4d836c41fb1bb641345ac73aefe60a6e1072f3d8ad87709b3411539a7fda8542c98cbb7bb4ae1872ead5
+DIST boto3-1.18.55.tar.gz 422930 BLAKE2B 2e30f585f2a99d30b9683893c706a9d00bcabc15bba7f033753cf8c0463c40227a5c668f29deff78da0cca02321e79a99329fa5acb8a4e6430970c08f1fe851a SHA512 1b885d423f17edcd441c48a3a456c70f823fd65b94ac89011d1dcfee1ba1d67fbe7e9470869d73733876abdaa4d8e13593ceaffd446ff46e4dc2dbd85cb2bc30
diff --git a/dev-python/boto3/boto3-1.18.55.ebuild b/dev-python/boto3/boto3-1.18.55.ebuild
new file mode 100644
index 000000000000..30a0b44d3f8c
--- /dev/null
+++ b/dev-python/boto3/boto3-1.18.55.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 606b89a56e77..49c54021f050 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -3,3 +3,4 @@ DIST botocore-1.21.40.tar.gz 8149052 BLAKE2B 0554e2b9caa08b7518f1b51b5a980d98926
DIST botocore-1.21.47.tar.gz 8183951 BLAKE2B 930fdccd5d45fb1fb88fec2370e65bff5eb7241ea3a666f1f0bfeb11ee3e1e5bb715d658ac1f340c0565f16bbba48fa57c7460aef0e0595486303f62f79df244 SHA512 705fa363bdd4663f774e349e448666d7bfd47c77b57689d6cc12039419c8a4f820d7edd01de9689cd56fee3d59138ea9bd803b4402c8b5fac95cd2de76fb1558
DIST botocore-1.21.53.tar.gz 8221904 BLAKE2B 79a87c9678fad9f3b4503740d9857579850eb2e6cf8371e233b9957b031e79aa04f28ce35b96826bfa4ff08c84a7ec646c8cd4302e5eb785530e8f3e2bf9b2f2 SHA512 0a3704d68a09a1afe53d4321d327036f4581d8c6942bc02f594c26d24fa2a60cfbbfab595cc3c4a4e9d3439790835739f7be8c3b572536feb655646c7800cf61
DIST botocore-1.21.54.tar.gz 8221388 BLAKE2B ea72e84b9ba5cb4d97a3a353f3fdd2fe80859a073c7edce5c0f593b12b90c575ec08aec8596ab0317a99b9cb56551ab222971317b62dadec8b168a9db21a36ac SHA512 bf5086e503b2c4e096597b2434d5ec67e2da9cf173890e5a6d68997b737f03a1f75e3f813251da05cf74d7b757da6b712e2bceab0c8239c1db71818a79dc3792
+DIST botocore-1.21.55.tar.gz 8225756 BLAKE2B 8a0d333802cc196552d905c61716f601e2725c1b19a296a3e07b6f6e4b2deded5dadb68ab9de1aa5c2a07b34ec4c9eb333c2131e6a479998e150810a4b31e75e SHA512 2bd2bae733d2846c41415ddd07431abcd553f8220e87e228b1f91dd7b7af5b8f8918a43bd79a9b8d2b0196098c37b05eed6433859beb74f806bb20717ac41d8e
diff --git a/dev-python/botocore/botocore-1.21.55.ebuild b/dev-python/botocore/botocore-1.21.55.ebuild
new file mode 100644
index 000000000000..9cd77a5ad4d0
--- /dev/null
+++ b/dev-python/botocore/botocore-1.21.55.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/django-cors-headers/Manifest b/dev-python/django-cors-headers/Manifest
index 34602a48063e..501128f3de31 100644
--- a/dev-python/django-cors-headers/Manifest
+++ b/dev-python/django-cors-headers/Manifest
@@ -1,3 +1,4 @@
+DIST django-cors-headers-3.10.0.gh.tar.gz 30786 BLAKE2B cd4de0b851932d023982fe2df8dbb00f56b863d2932a776e224b3f026ae03174561b1ac39ada9f0ef2e2057f8f05e67314e6ca935aa8beca31588472becadaec SHA512 dbb4925a1818e9e3cc18294ee0636ed193a195f4f6cf337ff01ee295ff7943ed376fa53071ea68f87df83d30dd9028ef75b36181bc128635c6040c8a3720676d
DIST django-cors-headers-3.7.0.tar.gz 88367 BLAKE2B d8a41a605d4823852cce65ffa8005d1e82598cdd81702d1ecef304c2a117dc553447c0cc7e9c31641165f0ba6975b757365733b349c0f5b1f4e9964095b918c2 SHA512 e1dc9695f99108f0908d8d348d284f1fd4a8ccbb84b3c748c9ae8d81d6f32ac8ef3417b612710e64ea4c63d464d97ac31a199292ebcdaaec3f3e37ad025ed0de
DIST django-cors-headers-3.8.0.gh.tar.gz 27602 BLAKE2B a6ad81288b57e731f784fa0a5dda396415d6a4bd8166844f8f2f51752af2825b8d8c1241d5fc645b1bc4f963f852c508b8f29993bf1a6567c07b0ba0f1d90025 SHA512 633269faa1e1606607420ebc400d52105fde5beea46b37238658b5a40a25ad96101648c909f6efb6931d9fe138c5e192026797fc5146acecf791f1d82d4aa2ba
DIST django-cors-headers-3.9.0.gh.tar.gz 28921 BLAKE2B 8ff5ab2035f938652753920f632d73488b568ccc3278d60ff6a7030ca1c6a7bbc36b29749f450ad312cf3e8c12f80c85f9e9841b3b4a26fb84cd06e0cf9f8255 SHA512 b7797c5ae4a9b8f12dadbf4b794da196c89a336469acb541d159f5ab3bff000825ab687f9e49996d3955c5700194eb62e72513efde8ae1ad4f4b84ceacd26a38
diff --git a/dev-python/django-cors-headers/django-cors-headers-3.10.0.ebuild b/dev-python/django-cors-headers/django-cors-headers-3.10.0.ebuild
new file mode 100644
index 000000000000..9d45dd2e89b4
--- /dev/null
+++ b/dev-python/django-cors-headers/django-cors-headers-3.10.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Django App that adds CORS (Cross-Origin Resource Sharing) headers to responses"
+HOMEPAGE="https://github.com/adamchainz/django-cors-headers"
+SRC_URI="
+ https://github.com/adamchainz/django-cors-headers/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND=">=dev-python/django-2.2[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/pytest-django[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
diff --git a/dev-python/django/Manifest b/dev-python/django/Manifest
index 086de7c321bf..aa28f06341b2 100644
--- a/dev-python/django/Manifest
+++ b/dev-python/django/Manifest
@@ -4,3 +4,5 @@ DIST Django-3.1.13.checksum.txt 2552 BLAKE2B e82052d952f7dfd15e11b413fe2f106af3d
DIST Django-3.1.13.tar.gz 9656683 BLAKE2B bb2dd72ba2dfc13c8f487d6b59cd9302160800dca4f63b92e640eddf4aba2e5b1bd67580e56477bced44a5393b5f65a463a9c0c539ba998a20606bffdfafcf74 SHA512 55b1ceb24b6e0ba542a96319f63b138439532cf4b00971a8432baaab4a8ee219cc9fbb31d457ba7da9e932c919df83da9630866d909df4a5d432866b158098d7
DIST Django-3.2.6.checksum.txt 2551 BLAKE2B 2fae4e3daca01f285f651b76df7402a0c08cdea9a98bdc3be3f9b337732c26b2a3dcb239fc06274b6a30227394047476d454bf34fd7e8b765df047510b08620c SHA512 66b9dff471928be514198e50e62f46d14fbea9c1cfb55e9d82562271795fc3e719e0bb8c43a1f6ff6c903700b648a6a0e19e335ddc50df2a7fa539911b6d44b6
DIST Django-3.2.6.tar.gz 9821499 BLAKE2B 9f18d308bf15ef16a9fe9d84219bd7ad37833b718ff975344aae5950ef01a7a0e8ef8669936c8908e38e07fb078ce2e2d6392968177400c2357b1d3787e0ce39 SHA512 adf2d2ab3006cc5b389bed8d8e16ee8c98393b20d719c3521068e5cc5d1e679b9f660be90f827ea1cc6a41f975641c32bdb0779ee145e5e31a501ca9e06898a4
+DIST Django-3.2.8.checksum.txt 2552 BLAKE2B e3bbf05bab72cfd71521451620706eb2b66d2f16791cd7897b2606083af91b62af6c6ea1e9f2b2a1437e3ffc1e1688149f9084d134ac6fc233f6285418bdbe5c SHA512 62cef4cc4c9de4be5db763e35957f2e71e9ca9fc5335a35bc51a1e337a91027236f41b84dd1f9eb513cb769174d9375c0a7b52cfc645331a3927c5498849eb56
+DIST Django-3.2.8.tar.gz 9820955 BLAKE2B 5b53c1033babda046c3e3ff8421465d5bf31e92c5c65e6ebf7d4a401a5f85017625efbf227c718877d58f80f9153fc205b817aeb030d0f322c26b10394e71287 SHA512 0d1d745fc7ebc20a2c3c1d18e270210ec57d605aafafb2bc2bee4229727469dfea6fbd510073ee6509b389eff2a7bdb75765aecafc4506d4489c2ce37a97bfbe
diff --git a/dev-python/django/django-3.2.8.ebuild b/dev-python/django/django-3.2.8.ebuild
new file mode 100644
index 000000000000..eccd349e63e2
--- /dev/null
+++ b/dev-python/django/django-3.2.8.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE='sqlite?,threads(+)'
+
+inherit bash-completion-r1 distutils-r1 optfeature verify-sig
+
+MY_P=${P^}
+DESCRIPTION="High-level Python web framework"
+HOMEPAGE="https://www.djangoproject.com/ https://pypi.org/project/Django/"
+SRC_URI="
+ https://media.djangoproject.com/releases/$(ver_cut 1-2)/${MY_P}.tar.gz
+ verify-sig? ( https://media.djangoproject.com/pgp/${MY_P}.checksum.txt )"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+# admin fonts: Roboto (media-fonts/roboto)
+LICENSE+=" Apache-2.0"
+# admin icons, jquery, xregexp.js
+LICENSE+=" MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
+IUSE="doc sqlite test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/asgiref-3.3.4[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ >=dev-python/sqlparse-0.2.2[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ ${RDEPEND}
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[webp,${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/selenium[${PYTHON_USEDEP}]
+ dev-python/tblib[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ !!<dev-python/ipython-7.21.0-r1
+ !!=dev-python/ipython-7.22.0-r0
+ )
+ verify-sig? ( >=app-crypt/openpgp-keys-django-20201201 )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.1-bashcomp.patch
+)
+
+distutils_enable_sphinx docs --no-autodoc
+
+VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/django.asc
+
+src_unpack() {
+ if use verify-sig; then
+ cd "${DISTDIR}" || die
+ verify-sig_verify_signed_checksums \
+ "${MY_P}.checksum.txt" sha256 "${MY_P}.tar.gz"
+ cd "${WORKDIR}" || die
+ fi
+
+ default
+}
+
+python_prepare_all() {
+ # Fails because of warnings
+ sed -i 's/test_dumpdata_proxy_with_concrete/_&/' tests/fixtures/tests.py
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # Tests have non-standard assumptions about PYTHONPATH,
+ # and don't work with ${BUILD_DIR}/lib.
+ PYTHONPATH=. "${EPYTHON}" tests/runtests.py --settings=test_sqlite -v2 ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ newbashcomp extras/django_bash_completion ${PN}-admin
+ bashcomp_alias ${PN}-admin django-admin.py
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature_header "Additional Backend support can be enabled via:"
+ optfeature "MySQL backend support" dev-python/mysqlclient
+ optfeature "PostgreSQL backend support" dev-python/psycopg:2
+ optfeature_header
+ optfeature "GEO Django" "sci-libs/gdal[geos]"
+ optfeature "Memcached support" dev-python/pylibmc dev-python/python-memcached
+ optfeature "ImageField Support" dev-python/pillow
+ optfeature "Password encryption" dev-python/bcrypt
+ optfeature "High-level abstractions for Django forms" dev-python/django-formtools
+}
diff --git a/dev-python/emoji/Manifest b/dev-python/emoji/Manifest
index ef8a74ec7401..d157a808153d 100644
--- a/dev-python/emoji/Manifest
+++ b/dev-python/emoji/Manifest
@@ -1,2 +1,3 @@
DIST emoji-1.4.2.tar.gz 222120 BLAKE2B 8771c7289a41fc741c54b3096df4ba6099dfdc3bcdc72282c93c565376e8fdb2e5939949a206cb01bfb1f2d663f840cd958e4d762f9da45639c49e52f3410947 SHA512 abf7fcaa922963c990330ebb6fd26c1613ffbdcbd6cabdf44e977b54df4b9c80c30e70e0ed0a9d9311c2fb95423df052e4e9c22d95510eab10eb3754084622ed
DIST emoji-1.5.0.tar.gz 222904 BLAKE2B ea4f057f94ba06306d87b102598da5cd0d87038d61a45e7a44db1af107effb912040e9f2e318d7f8ebaa1ac854ef827af7703f0de72174689b5ca5c3c909b597 SHA512 9dc85a0e6ac2cb7e4156d54063380cce3048ad8ab38993a6d6f2608502299a3e5681afac8780cd14c44f7127c7e1805f69c9bb95460620ec0fe2fb0d52d2d87c
+DIST emoji-1.6.0.tar.gz 210598 BLAKE2B 13764d19093e22d3cc62f8b91f87ace3677bca947c15fbdec3df9da8dcdb41975ea111f6e61510342c6f2a029f2390e5274d8cd14ee319a1f83e8405620b5937 SHA512 d39f89dceca0ab040292a237dae81b33b098acac77a6fdcd444c87916224d4a83f4fa51f2e78d3b793cb87d12e78f29102767eb4ae58fa8eed5b69d59e009e31
diff --git a/dev-python/emoji/emoji-1.6.0.ebuild b/dev-python/emoji/emoji-1.6.0.ebuild
new file mode 100644
index 000000000000..c767a9e2ddd5
--- /dev/null
+++ b/dev-python/emoji/emoji-1.6.0.ebuild
@@ -0,0 +1,17 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Emoji for Python"
+HOMEPAGE="https://github.com/carpedm20/emoji/"
+SRC_URI="https://github.com/carpedm20/emoji/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+
+distutils_enable_tests pytest
diff --git a/dev-python/flask/Manifest b/dev-python/flask/Manifest
index b4b785b2121e..c0896d22ffe8 100644
--- a/dev-python/flask/Manifest
+++ b/dev-python/flask/Manifest
@@ -1,2 +1,3 @@
DIST Flask-1.1.4.tar.gz 635920 BLAKE2B c1f19e7449177ecf6e901d5932ad25cbe866ff53b9323f717541922b1ea5b10203ff07630fcf3eabaedd9b6a24ef031ad2aaa2e2f759925363bebfa7e5d967da SHA512 6f427a1264921b8560446afacee2757d16de0dc22d6ed249b7bc5d6f50f3af50c89b79ce900d75b41af4befc53910f2b532c2e280de42837e2133acb6b1bd80d
DIST Flask-2.0.1.tar.gz 626851 BLAKE2B 05273edacd6d66237a552410df7ef7ff367e28c273cc89f654eac5ed2eb3d26f71437169905372b398cc6c5c5067dcbea54aa1cab782e03c6186ac9ae3949f4c SHA512 fefed4971f0542b25ba2867919aa54a83b6e3f47e7cee94586543843e7e00ba209ac15d8fe28a3c53981f587aebcf2f3915a49e1a9cd1b729099dccbed3783c2
+DIST Flask-2.0.2.tar.gz 628479 BLAKE2B 13555ce0602e685b5fe29ba51e05534263d70440c56c9096e95e0893e010d877154d3d1db1bff47209e6b70e91612a71e8aed149a067465f9e3a11486d843a86 SHA512 341be4e453dd5f682e465af356ff85ffe76f52a62e529e6cd251f95199e73b0f93414af093f899f61721e9bb351f09972a433a55beacc972b5e577b86e003081
diff --git a/dev-python/flask/flask-2.0.2.ebuild b/dev-python/flask/flask-2.0.2.ebuild
new file mode 100644
index 000000000000..adcdb1d2a5ff
--- /dev/null
+++ b/dev-python/flask/flask-2.0.2.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="A microframework based on Werkzeug, Jinja2 and good intentions"
+HOMEPAGE="https://github.com/pallets/flask/"
+MY_PN="Flask"
+MY_P="${MY_PN}-${PV}"
+if [[ ${PV} == *9999* ]]; then
+ EGIT_REPO_URI="https://github.com/mitsuhiko/flask.git"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~x86"
+ S="${WORKDIR}/${MY_P}"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="examples"
+
+RDEPEND="
+ >=dev-python/click-7.1.2[${PYTHON_USEDEP}]
+ dev-python/blinker[${PYTHON_USEDEP}]
+ >=dev-python/itsdangerous-2.0[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0[${PYTHON_USEDEP}]
+ >=dev-python/werkzeug-2.0[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ >=dev-python/asgiref-3.2[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_sphinx docs \
+ dev-python/pallets-sphinx-themes \
+ dev-python/sphinx-issues \
+ dev-python/sphinx-tabs \
+ dev-python/sphinxcontrib-log_cabinet
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ # https://github.com/pallets/flask/issues/4292
+ # (test xfailed in newer version)
+ tests/test_cli.py::test_lazy_load_error
+ )
+
+ epytest -p no:httpbin
+}
+
+python_install_all() {
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/google-api-core/Manifest b/dev-python/google-api-core/Manifest
index ad5fdf226719..74deca19215b 100644
--- a/dev-python/google-api-core/Manifest
+++ b/dev-python/google-api-core/Manifest
@@ -1 +1,2 @@
DIST google-api-core-2.0.1.tar.gz 134658 BLAKE2B 0fda61be3b069454b305656f7a5a9243467f4e129e2db661e997fde850d416a50df803af6e7e9d041b8473e5f1abd35f6d5a9b25067133be28bed90ec1cca7e4 SHA512 297af05cba4919423e15844ccddb821fd65076f787bd01f24022d8393fbf45cf276611ab471be17950d7fad4e58f9b823517a8aeeec931df5b1bb37c38fe8ec9
+DIST google-api-core-2.1.0.tar.gz 138173 BLAKE2B 3ba5b5433a8a29ddf180315daed5587d113bde410697eb5f90713573f41b15b89f0a52e387515751c7702008b150ccc8b90cd7480ac0a26a5f9c73f94443915a SHA512 67688f2defa00df8039d964edeb2cb94aeab5124794fe95d1cba8b9e79aa57b7a191a4b51f91c7d7e293c7a550130cac294926552e47545a0f8222003d0ba076
diff --git a/dev-python/google-api-core/google-api-core-2.1.0.ebuild b/dev-python/google-api-core/google-api-core-2.1.0.ebuild
new file mode 100644
index 000000000000..286b2130a0c3
--- /dev/null
+++ b/dev-python/google-api-core/google-api-core-2.1.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="Core Library for Google Client Libraries"
+HOMEPAGE="https://github.com/googleapis/python-api-core/
+ https://googleapis.dev/python/google-api-core/latest/index.html"
+SRC_URI="https://github.com/googleapis/${PN//google/python}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${P//google/python}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/namespace-google[${PYTHON_USEDEP}]
+ dev-python/protobuf-python[${PYTHON_USEDEP}]
+ dev-python/googleapis-common-protos[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.25.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.18.0[${PYTHON_USEDEP}]
+ <dev-python/requests-3[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/grpcio-1.33.2[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/rsa[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests --install pytest
+
+EPYTEST_DESELECT=(
+ # TODO: package proto-plus
+ tests/unit/test_protobuf_helpers.py::test_field_mask_ignore_trailing_underscore
+ tests/unit/test_protobuf_helpers.py::test_field_mask_ignore_trailing_underscore_with_nesting
+)
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${D}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/google-api-python-client/Manifest b/dev-python/google-api-python-client/Manifest
index 4f81d600451a..d49b487145f3 100644
--- a/dev-python/google-api-python-client/Manifest
+++ b/dev-python/google-api-python-client/Manifest
@@ -3,3 +3,4 @@ DIST google-api-python-client-2.20.0.tar.gz 26723285 BLAKE2B 3c0cb64ea8c58fe2035
DIST google-api-python-client-2.21.0.tar.gz 26754841 BLAKE2B e09b48d80d72e56656b366bd60972cde91d0c705ffe94b61d168e808e575a42f1dbbefdaf21ead1e57bab54a1b2453ba39ed5ae1d2ee616a5ba1418acc9f7534 SHA512 c572e5eab313e01ae94b026e32cf40fb479154942168cc09f2b74f184383ff5fc27cc5c0ae48c34d8ddbd8abe8840520a62a43708bd601341d5b32460f5f07df
DIST google-api-python-client-2.22.0.tar.gz 26831856 BLAKE2B da93f1bca651cc01819c5f5ab43a6c767662db7eb85efb9aa08d2f9b54bc9efcc7622bff3207604ffafea9c88de8a393f5084c225078d896da5fdee1f2e56350 SHA512 427ead4173ed14b2df0560e35c5ff48a98d4abb5d449c26f84d9e7bb169bf46402eaaea0dab7988dbefd5ceee975b19a160cd797d2169030bb5bf1a54accda11
DIST google-api-python-client-2.23.0.tar.gz 26877979 BLAKE2B 64ae1132f8d380e15b5856c7b7683ceb7bf6f0f65400b2407195be7e30a0982288a0f7892e70b659c0984823d5dd0c3d4115eb781643a584091580ac1ed480b4 SHA512 da8515a0db759cfa4e9b991fd04811e9d213a35c184e993e2439e00860ce86857c2968da75dee3ec755a2f679ab44219d4cc1ed817e7ac24664e667412205566
+DIST google-api-python-client-2.24.0.tar.gz 27072085 BLAKE2B 285da09fff461ffd100a5fe603f970fab6d552197690279e0c0d411700b95109bde523c1cba84a3fbc04cdf7bc13237a4432014912e0c79aec0c1d82e42c8c69 SHA512 84f0e0f95de0bede13e76eac3885b2a40a61d3ad522cb11a59cd3ab1d7bf6a7368a21232f9a9f64905bfaa2bd7a9b359ee3dee2a53e1dc303e8aede14dbdd466
diff --git a/dev-python/google-api-python-client/google-api-python-client-2.24.0.ebuild b/dev-python/google-api-python-client/google-api-python-client-2.24.0.ebuild
new file mode 100644
index 000000000000..8647284e7595
--- /dev/null
+++ b/dev-python/google-api-python-client/google-api-python-client-2.24.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Google API Client for Python"
+HOMEPAGE="https://github.com/googleapis/google-api-python-client"
+SRC_URI="https://github.com/googleapis/google-api-python-client/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/httplib2-0.15[${PYTHON_USEDEP}]
+ <dev-python/httplib2-1[${PYTHON_USEDEP}]
+ dev-python/google-api-core[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.35.0[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-httplib2-0.1.0[${PYTHON_USEDEP}]
+ >=dev-python/uritemplate-3.0.0[${PYTHON_USEDEP}]
+ <dev-python/uritemplate-4[${PYTHON_USEDEP}]
+ "
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/oauth2client[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests --install pytest
+
+src_prepare() {
+ find tests -name '*.py' -exec \
+ sed -i -e 's:unittest2 as ::' {} + || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local deselect=(
+ # require Internet access (and credentials)
+ tests/test_discovery.py::DiscoveryErrors::test_credentials_and_credentials_file_mutually_exclusive
+ tests/test_discovery.py::DiscoveryFromDocument::test_api_endpoint_override_from_client_options_mapping_object
+ )
+
+ distutils_install_for_testing
+ epytest tests ${deselect[@]/#/--deselect }
+}
diff --git a/dev-python/hyper-h2/Manifest b/dev-python/h2/Manifest
index 468acd50d048..33ef6e0747bf 100644
--- a/dev-python/hyper-h2/Manifest
+++ b/dev-python/h2/Manifest
@@ -1,2 +1,3 @@
+DIST h2-4.1.0.tar.gz 2143812 BLAKE2B b9d9a771340b4bde1675b9fd65c242732a1a262456f84a409662cf2b57326e24e0583160ba0531c0b105b79342578714127dddb560d2a27de58af34d1052c698 SHA512 4e9cf88b3ae702a8a42bded775ad337809787fe8172d501c230d55abbf1edd764acf3b227f2e58756d882499661ffcf6bbdd4812a4d938c04fac3f1aa2390b28
DIST hyper-h2-3.2.0.tar.gz 2203333 BLAKE2B 245bab162852070e850613c41162c75efe5e43535945dacf448afdc948cade83402f77259aa46f375d0772a5287e42d8842b1259cb36392cc8fc222dec7cef75 SHA512 103a4ea2cd29037ce03ae676864125b4111c7d31a82bbbe7028557da886d88fb5363d885f08d5d3f68dfa29013b7b03350cc0cb4d9dddf32735e98dae5d7fc7c
DIST hyper-h2-4.0.0.tar.gz 2142185 BLAKE2B e5ae692c1f21b6e3ea8695ec269a4d02f72b8d385b6f9c523775f3db2200379f9af5accb70fa06a357575728a6a5b2644dd1225cfdf458fffa80e84c7b1c7b2f SHA512 84578174a13782897f9286c62d450eaf11aa71c01c96b8660179cd2df77618dc1a6c4b354b2bc5731cd21c4709c8c0a8282a859a98c4a62a7295b6dfd1b5cfb2
diff --git a/dev-python/hyper-h2/files/hyper-h2-3.2.0-failed-healthcheck.patch b/dev-python/h2/files/hyper-h2-3.2.0-failed-healthcheck.patch
index 04adc2748c21..04adc2748c21 100644
--- a/dev-python/hyper-h2/files/hyper-h2-3.2.0-failed-healthcheck.patch
+++ b/dev-python/h2/files/hyper-h2-3.2.0-failed-healthcheck.patch
diff --git a/dev-python/hyper-h2/hyper-h2-3.2.0.ebuild b/dev-python/h2/h2-3.2.0.ebuild
index ebc1cec37b94..d851095606ad 100644
--- a/dev-python/hyper-h2/hyper-h2-3.2.0.ebuild
+++ b/dev-python/h2/h2-3.2.0.ebuild
@@ -2,13 +2,15 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
inherit distutils-r1
+MY_P=hyper-h2-${PV}
DESCRIPTION="HTTP/2 State-Machine based protocol implementation"
HOMEPAGE="https://python-hyper.org/h2/en/stable/ https://pypi.org/project/h2/"
-SRC_URI="https://github.com/python-hyper/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI="https://github.com/python-hyper/${PN}/archive/v${PV}.tar.gz -> ${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
LICENSE="MIT"
SLOT="0"
@@ -31,7 +33,7 @@ distutils_enable_tests pytest
PATCHES=(
# From https://github.com/python-hyper/h2/pull/1248
# Disables some failing healthchecks
- "${FILESDIR}/${P}-failed-healthcheck.patch"
+ "${FILESDIR}/hyper-h2-3.2.0-failed-healthcheck.patch"
)
python_test() {
diff --git a/dev-python/hyper-h2/hyper-h2-4.0.0.ebuild b/dev-python/h2/h2-4.0.0.ebuild
index ff7ee23f2666..1659c2cc8142 100644
--- a/dev-python/hyper-h2/hyper-h2-4.0.0.ebuild
+++ b/dev-python/h2/h2-4.0.0.ebuild
@@ -2,13 +2,15 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
inherit distutils-r1
+MY_P=hyper-h2-${PV}
DESCRIPTION="HTTP/2 State-Machine based protocol implementation"
HOMEPAGE="https://python-hyper.org/h2/en/stable/ https://pypi.org/project/h2/"
-SRC_URI="https://github.com/python-hyper/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI="https://github.com/python-hyper/${PN}/archive/v${PV}.tar.gz -> ${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
LICENSE="MIT"
SLOT="0"
@@ -31,7 +33,7 @@ distutils_enable_tests pytest
PATCHES=(
# From https://github.com/python-hyper/h2/pull/1248
# Disables some failing healthchecks
- "${FILESDIR}/${PN}-3.2.0-failed-healthcheck.patch"
+ "${FILESDIR}/hyper-h2-3.2.0-failed-healthcheck.patch"
)
python_test() {
diff --git a/dev-python/h2/h2-4.1.0.ebuild b/dev-python/h2/h2-4.1.0.ebuild
new file mode 100644
index 000000000000..ff75eddec21c
--- /dev/null
+++ b/dev-python/h2/h2-4.1.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="HTTP/2 State-Machine based protocol implementation"
+HOMEPAGE="https://python-hyper.org/h2/en/stable/ https://pypi.org/project/h2/"
+SRC_URI="https://github.com/python-hyper/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/hyperframe-6.0[${PYTHON_USEDEP}]
+ <dev-python/hyperframe-7[${PYTHON_USEDEP}]
+ >=dev-python/hpack-4.0[${PYTHON_USEDEP}]
+ <dev-python/hpack-5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/hyper-h2/metadata.xml b/dev-python/h2/metadata.xml
index d2619faf4798..d2619faf4798 100644
--- a/dev-python/hyper-h2/metadata.xml
+++ b/dev-python/h2/metadata.xml
diff --git a/dev-python/httpcore/httpcore-0.13.3.ebuild b/dev-python/httpcore/httpcore-0.13.3.ebuild
index 3048fd8e584e..1a0f6cc21160 100644
--- a/dev-python/httpcore/httpcore-0.13.3.ebuild
+++ b/dev-python/httpcore/httpcore-0.13.3.ebuild
@@ -17,7 +17,7 @@ KEYWORDS="amd64 arm arm64 ppc ppc64 sparc x86"
RDEPEND="
<dev-python/h11-0.13[${PYTHON_USEDEP}]
- <dev-python/hyper-h2-5[${PYTHON_USEDEP}]
+ <dev-python/h2-5[${PYTHON_USEDEP}]
=dev-python/sniffio-1*[${PYTHON_USEDEP}]
"
BDEPEND="
diff --git a/dev-python/httpcore/httpcore-0.13.6.ebuild b/dev-python/httpcore/httpcore-0.13.6.ebuild
index bd80104540e4..98db8006a16e 100644
--- a/dev-python/httpcore/httpcore-0.13.6.ebuild
+++ b/dev-python/httpcore/httpcore-0.13.6.ebuild
@@ -18,7 +18,7 @@ KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc x86"
RDEPEND="
=dev-python/anyio-3*[${PYTHON_USEDEP}]
<dev-python/h11-0.13[${PYTHON_USEDEP}]
- <dev-python/hyper-h2-5[${PYTHON_USEDEP}]
+ <dev-python/h2-5[${PYTHON_USEDEP}]
=dev-python/sniffio-1*[${PYTHON_USEDEP}]
"
BDEPEND="
diff --git a/dev-python/httpcore/httpcore-0.13.7.ebuild b/dev-python/httpcore/httpcore-0.13.7.ebuild
index 363fb88b58d1..dbf343ff193e 100644
--- a/dev-python/httpcore/httpcore-0.13.7.ebuild
+++ b/dev-python/httpcore/httpcore-0.13.7.ebuild
@@ -17,7 +17,7 @@ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
RDEPEND="
=dev-python/anyio-3*[${PYTHON_USEDEP}]
<dev-python/h11-0.13[${PYTHON_USEDEP}]
- <dev-python/hyper-h2-5[${PYTHON_USEDEP}]
+ <dev-python/h2-5[${PYTHON_USEDEP}]
=dev-python/sniffio-1*[${PYTHON_USEDEP}]
"
BDEPEND="
diff --git a/dev-python/httpx/httpx-0.19.0.ebuild b/dev-python/httpx/httpx-0.19.0.ebuild
index edc7219dd5bf..7e9f02c1bc50 100644
--- a/dev-python/httpx/httpx-0.19.0.ebuild
+++ b/dev-python/httpx/httpx-0.19.0.ebuild
@@ -31,7 +31,7 @@ BDEPEND="
test? (
dev-python/brotlicffi[${PYTHON_USEDEP}]
dev-python/cryptography[${PYTHON_USEDEP}]
- dev-python/hyper-h2[${PYTHON_USEDEP}]
+ dev-python/h2[${PYTHON_USEDEP}]
dev-python/pytest-asyncio[${PYTHON_USEDEP}]
dev-python/trustme[${PYTHON_USEDEP}]
dev-python/typing-extensions[${PYTHON_USEDEP}]
diff --git a/dev-python/ipykernel/ipykernel-5.5.4-r1.ebuild b/dev-python/ipykernel/ipykernel-5.5.4-r1.ebuild
index b286a6dcb879..1cacf99495c4 100644
--- a/dev-python/ipykernel/ipykernel-5.5.4-r1.ebuild
+++ b/dev-python/ipykernel/ipykernel-5.5.4-r1.ebuild
@@ -22,7 +22,10 @@ RDEPEND="
dev-python/jupyter_core[${PYTHON_USEDEP}]
dev-python/traitlets[${PYTHON_USEDEP}]
www-servers/tornado[${PYTHON_USEDEP}]"
+# RDEPEND seems specifically needed in BDEPEND, at least jupyter
+# bug #816486
BDEPEND="
+ ${RDEPEND}
test? (
dev-python/flaky[${PYTHON_USEDEP}]
dev-python/nose[${PYTHON_USEDEP}]
diff --git a/dev-python/ipykernel/ipykernel-6.2.0.ebuild b/dev-python/ipykernel/ipykernel-6.2.0.ebuild
index 1a8aa0f233ce..f156b3e2da7a 100644
--- a/dev-python/ipykernel/ipykernel-6.2.0.ebuild
+++ b/dev-python/ipykernel/ipykernel-6.2.0.ebuild
@@ -28,7 +28,10 @@ RDEPEND="
>=dev-python/matplotlib-inline-0.1.0[${PYTHON_USEDEP}]
<dev-python/matplotlib-inline-0.2.0[${PYTHON_USEDEP}]
"
+# RDEPEND seems specifically needed in BDEPEND, at least jupyter
+# bug #816486
BDEPEND="
+ ${RDEPEND}
test? (
dev-python/flaky[${PYTHON_USEDEP}]
dev-python/nose[${PYTHON_USEDEP}]
diff --git a/dev-python/jaraco-stream/Manifest b/dev-python/jaraco-stream/Manifest
index 51c1a067e8ae..b5f7c5c5e68e 100644
--- a/dev-python/jaraco-stream/Manifest
+++ b/dev-python/jaraco-stream/Manifest
@@ -1,2 +1,3 @@
DIST jaraco.stream-3.0.0.tar.gz 11838 BLAKE2B 9d26ff8f78a3f090d79ccc8cbc41819a8290ebdb7770f56a57938ad9311ca1fd168d633fec78ee102c2c08156c9e0ae6f521dd5cafcb9df22928ba9f3f832734 SHA512 f2ce7e65d9a3bcd81985f45d03f7cd56b2f2939f13a423b8b65714f19eb249493d89cad774460dd08c1345124d3d10f85ce6875b5f7049705f993c0a3146e5d9
DIST jaraco.stream-3.0.2.tar.gz 12784 BLAKE2B c9a9a1f940cd29cde67b624b0b7ac2dd426888f71d29f4bc4920eab5a7ba15713e5d5e57504e9f4f69f25d08a8cb2e2a1024c91c89b8c3aa8bb16023d84f33c6 SHA512 fce486caa9f27f3cfe7775858892d2865fe1c1656a8d369ef9321057716f25d7a737abf2a28fe7827efbeba2daa3b7992ec4fd18807751bf1fee6f48b238ab01
+DIST jaraco.stream-3.0.3.tar.gz 8877 BLAKE2B 85289efe8e04e93cbceb0053f5025cad3d073deeb113806e25ca06fb88a9b082de6805305de85d1f17b77f61d2d0f4683b2b21f670102b03112b8f7a3fdafd91 SHA512 fe50c21b26e734c9c2d0b7cf8a1c8cc8bab80417adf073a4ae213ba4067aa33e2f6c8886aac996971d2f98aacd295d9999aa3ac7dba24dd952cc27d15bef22e2
diff --git a/dev-python/jaraco-stream/jaraco-stream-3.0.3.ebuild b/dev-python/jaraco-stream/jaraco-stream-3.0.3.ebuild
new file mode 100644
index 000000000000..b229d162d8f7
--- /dev/null
+++ b/dev-python/jaraco-stream/jaraco-stream-3.0.3.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+MY_P=${P/-/.}
+DESCRIPTION="Routines for handling streaming data"
+HOMEPAGE="https://github.com/jaraco/jaraco.stream"
+SRC_URI="mirror://pypi/${MY_P::1}/${PN/-/.}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ >=dev-python/setuptools_scm-1.15.0[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]
+ test? (
+ dev-python/more-itertools[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs \
+ ">=dev-python/jaraco-packaging-3.2" \
+ ">=dev-python/rst-linker-1.9"
+distutils_enable_tests pytest
diff --git a/dev-python/jupyter_client/Manifest b/dev-python/jupyter_client/Manifest
index 8d488bb215b5..df6bbedcc9b4 100644
--- a/dev-python/jupyter_client/Manifest
+++ b/dev-python/jupyter_client/Manifest
@@ -4,3 +4,4 @@ DIST jupyter_client-7.0.2.tar.gz 317686 BLAKE2B f837d60c1013d6f7db7185112820bc40
DIST jupyter_client-7.0.3.tar.gz 318420 BLAKE2B 151cac17dd965f5a151e0de90cffda35d06943ef7548518f6bac9e977fa3efd02cceb30fc23b252c440541ac74a84396dc7a8787fffbbade8d91dcbc2d51781a SHA512 eae57dd9c2fdd0301cdb53204dfc043a228fa606236ee1eca9e37f4d9d213efd080ec1292567431e24d73899db0833984ed4db933998817d03aff1f674217362
DIST jupyter_client-7.0.4.tar.gz 319415 BLAKE2B 795e10680b0183e6628978cfe2633eaac9d1acf62ca8f72c17cd9d808e9971ec63a251adb7e2f5faaf98f51b06508b55a27686d5a77020cebd858daf61954de1 SHA512 47d17b1369edfe7cac7f2450299558122d88e341515b46992bee716c4bc23f870c131ca1fe86ec8f48f558c2c3ab5c26b05d473b37fd2dcd19c24bc44ba60c03
DIST jupyter_client-7.0.5.tar.gz 319487 BLAKE2B d8c4e518fb165fbbe6b2de8bd8623d37c9fda6c002753b8a115d615b0c338a6411c4713b974210af45fc40a021bf687b3bc1e7e4f0717c510f569cb7eaf6d793 SHA512 37eba11585d40f52ca5c7a3bf275ee7cd86b2222049abee4b92b32eb6e667e6e5234b8c1dfeb1f67e8bd0d80ee1be1ccf87ffea9f5b5a5e60f217b07063a085c
+DIST jupyter_client-7.0.6.tar.gz 320572 BLAKE2B 5c853fbdad3bc044ffaba27534d9bc4682797660cdb5d45121ae8f6cbf0fc5511c6a9fad14d26bd82daef17b32be14e51bf86c2ae672ed9b310141b29307ff9c SHA512 c836ba061da0461d6d27eb0405ba295ff67bf2c99011a21c9695da139c0a14513de292cdfff3ee00c2e1029c2a51f95094ad875a5f9cdec2fd99c3c079526e3b
diff --git a/dev-python/jupyter_client/jupyter_client-7.0.6.ebuild b/dev-python/jupyter_client/jupyter_client-7.0.6.ebuild
new file mode 100644
index 000000000000..1361446647a8
--- /dev/null
+++ b/dev-python/jupyter_client/jupyter_client-7.0.6.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE="threads(+)"
+inherit distutils-r1
+
+DESCRIPTION="Jupyter protocol implementation and client libraries"
+HOMEPAGE="https://jupyter.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/entrypoints[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_core-4.6.0[${PYTHON_USEDEP}]
+ >=dev-python/nest_asyncio-1.5[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-14.4.0[${PYTHON_USEDEP}]
+ >=www-servers/tornado-4.1[${PYTHON_USEDEP}]
+ dev-python/traitlets[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ jupyter_client/tests/test_kernelmanager.py::TestKernelManagerShutDownGracefully::test_signal_kernel_subprocesses
+ jupyter_client/tests/test_kernelmanager.py::TestKernelManagerShutDownGracefully::test_async_signal_kernel_subprocesses
+)
diff --git a/dev-python/nuitka/Manifest b/dev-python/nuitka/Manifest
index ca64d046e947..1e117a5344c1 100644
--- a/dev-python/nuitka/Manifest
+++ b/dev-python/nuitka/Manifest
@@ -1,4 +1,5 @@
DIST Nuitka-0.6.16.3.tar.gz 2965278 BLAKE2B fc015f78912688e3d3b0833e7c126833352aeda7ac2599685a007445c43a7099407c4797eba47d5254fb5befde9482c210b920f4c7e38a2d82dbb5331125abee SHA512 a46af040774fd3523b64c1a113f6d0251c8d45108686017dae07429107f5057025bbcfefc7ed2b86da32c69516285d3af55fe234d25d6949562a96b0eb3f5293
DIST Nuitka-0.6.16.4.tar.gz 2963879 BLAKE2B a6a0029f06aac5ea8fb0fec81ac5b1c5b7bb0ed85bdd0f0308ac74140792360684f42cf79f7ff7e604de3729584b335671ff57f0805aac2154ef1ea88bbbf245 SHA512 e2c73b19e459c31b85adf79270e258ca3c431364ec90b51682a7a324aebfeab1ab7703421e8646e18e0bef62f5f5636bbbda74d0ec0e4666e1571d71d41971b2
DIST Nuitka-0.6.17.1.tar.gz 3144303 BLAKE2B 999a391830459fbfd20c52b3d640070bf4b69000ffcaaf0e86d1a0ccbd4602ce7cfb3a47658a5a94a8935f0dba4658f2616a2d7c4c176d5553ad3a488cd7645c SHA512 7d121a03539357f480ffd940699bd5df5ebb038f6914820b3185e0bcf8955ab005e2eacd49c837b94a2f5396a751264cf950764482a523e90a32d321e89ea2d2
+DIST Nuitka-0.6.17.2.tar.gz 3144669 BLAKE2B 0b098c9cad1cea08241026f8bf43242fb8a1f1790edafd9b54fb3a49a00590465222898a5edbb403b0d82f30bb6a9baa8a8b5292ed4b40e77cd7de236b44c200 SHA512 99b60bf447bff7203c6f18bc7f98ceab102f74562494244e9e514b076a6f1bf37357b478bc07dd6d800be7903801e6e499d17312bbb47a961924a0b1526ec33d
DIST Nuitka-0.6.17.tar.gz 3144123 BLAKE2B 07d95a987eb6c772cd58f8bd0bb7aca638c475e4e90b6a58af890e63b5d3bec9125efa54ba54925311a38cc06b3c8e60a86ce18be7f189da111798fe77da3bd5 SHA512 8678cb9cbc30d9a9a139f98ae94d7f881295bbfb5f450faafb335cce7243979ad3dbf81946024a67edea177f2baae9d694d9e93abc5389f34dddd06595158eff
diff --git a/dev-python/nuitka/nuitka-0.6.17.2.ebuild b/dev-python/nuitka/nuitka-0.6.17.2.ebuild
new file mode 100644
index 000000000000..acc004a70528
--- /dev/null
+++ b/dev-python/nuitka/nuitka-0.6.17.2.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1 flag-o-matic optfeature
+
+DESCRIPTION="Python to native compiler"
+HOMEPAGE="https://www.nuitka.net"
+SRC_URI="https://nuitka.net/releases/${P^}.tar.gz"
+S="${WORKDIR}/${P^}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-util/scons[${PYTHON_USEDEP}]"
+BDEPEND="
+ ${RDEPEND}
+ test? ( dev-util/ccache )
+"
+
+DOCS=( Changelog.pdf Developer_Manual.pdf README.pdf )
+
+distutils-r1_src_prepare() {
+ # remove vendored version of SCons that is Python2 only
+ # this should be removed when upstream removes support for Python2
+ rm -vR "${S}/${PN}/build/inline_copy/lib/scons-2.3.2/SCons" || die
+ eapply_user
+}
+
+python_install() {
+ distutils-r1_python_install
+ python_optimize
+ doman doc/nuitka.1 doc/nuitka3.1 doc/nuitka3-run.1 doc/nuitka-run.1
+}
+
+python_test() {
+ append-ldflags -Wl,--no-warn-search-mismatch
+ ./tests/basics/run_all.py search || die
+}
+
+pkg_postinst() {
+ optfeature "support for stand-alone executables" app-admin/chrpath
+}
diff --git a/dev-python/pikepdf/Manifest b/dev-python/pikepdf/Manifest
index d9ca80b0d11e..2570710186a2 100644
--- a/dev-python/pikepdf/Manifest
+++ b/dev-python/pikepdf/Manifest
@@ -1,2 +1,3 @@
DIST pikepdf-2.16.1.tar.gz 2312177 BLAKE2B a7695ecc71621c1e64ab919e76dabd3a94ff16d401861fe50f29f00832dda8be01f3e67c811756ef89573345b49ec6c880635309f859624b9df42cf6eff7b43b SHA512 d2c73a0a69c6cf0ed22dc2dc949187464abd4194a5d917e5681de033d6a8ce4c089efd49eb110c9fa11f9dead292aa6ab7ed71a01f7cbaadc51d1f37a773c936
DIST pikepdf-3.1.0.tar.gz 2334496 BLAKE2B f92385a9317e88b00586f6900b4ef2a296e6960e8a587d2b6bf7f12e5354d9de48b537cb5cdd220187860c852e0ee538d533902311d70c7d44e6fe700fc10ca8 SHA512 c3ef18f287ba873d6e35114137228028a81af8ba4d59ffe5c486716b298757fe6f5b5d3d67dcc4230ed10543849a8d6370e43d99527d7cfd1decd4a84b59781f
+DIST pikepdf-3.1.1.tar.gz 2334617 BLAKE2B 2f223b8104df0dae31c09e660d1123c2384daf0d6990f537378773eab260248d5b547ce1bae3583f711e69aa54f370e97a62f0167d89386c965ea21c9f0ce89e SHA512 8a5c0fe92c06ff09fd2a7b08ae94f9f608a71c517482e0457c07b1300c65fe5ba57dd5aec3b60fd9ebaee100591198afdba493e5e53bd5655b4b8dee11475106
diff --git a/dev-python/pikepdf/pikepdf-3.1.1.ebuild b/dev-python/pikepdf/pikepdf-3.1.1.ebuild
new file mode 100644
index 000000000000..2f4e00da349b
--- /dev/null
+++ b/dev-python/pikepdf/pikepdf-3.1.1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+MY_P=${P/_p/.post}
+DESCRIPTION="Python library to work with pdf files based on qpdf"
+HOMEPAGE="https://pypi.org/project/pikepdf/ https://github.com/pikepdf/pikepdf"
+SRC_URI="
+ https://github.com/${PN}/${PN}/archive/v${PV/_p/.post}.tar.gz
+ -> ${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND=">=app-text/qpdf-10.3.1:0="
+RDEPEND="${DEPEND}
+ >=dev-python/pillow-7[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.0[${PYTHON_USEDEP}]
+ >=dev-python/pybind11-2.7.1[${PYTHON_USEDEP}]"
+BDEPEND="
+ >=dev-python/pybind11-2.7.1[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-4.1[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm_git_archive[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/attrs-20.2.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-5[${PYTHON_USEDEP}]
+ >=dev-python/pillow-5.0.0[${PYTHON_USEDEP},jpeg,lcms,tiff]
+ >=dev-python/psutil-5[${PYTHON_USEDEP}]
+ >=dev-python/pytest-6[${PYTHON_USEDEP}]
+ >=dev-python/pytest-timeout-1.4.2[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.0[${PYTHON_USEDEP}]
+ >=dev-python/python-xmp-toolkit-2.0.1[${PYTHON_USEDEP}]
+ )"
+
+#distutils_enable_sphinx docs \
+# dev-python/ipython \
+# dev-python/matplotlib \
+# dev-python/sphinx_rtd_theme
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/-n auto/d' pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/pocketlint/Manifest b/dev-python/pocketlint/Manifest
index a8adcaa339fb..3c0db06e0eb5 100644
--- a/dev-python/pocketlint/Manifest
+++ b/dev-python/pocketlint/Manifest
@@ -1 +1,2 @@
DIST pocketlint-0.21.tar.gz 23524 BLAKE2B b5ec01cba8b73356f08720149125abe1427561b499b53409e5eb41dc2e5c6dc894b51fc8d7655eb94a6b7ec43a3cd94067d170e2a7f985e251497f253c57f6a3 SHA512 af5f3d9ebd67102a3c2b793ff550c6626ead48da7043ac86d4129f6746532fb6c8ce34540b255e649c936c5d8d7dadc116ddc03f86b2a85311327eb10af14ad8
+DIST pocketlint-0.22.tar.gz 23779 BLAKE2B 3698927cc4a3f6ee6de74d205b5a7f937405e7ce2e9d987e34b35ce209635cab37357d0221a6762deb66350cd2b991420a9b12af2c9e6792f713e5c95dfedb59 SHA512 7ee9e6b969975274e7697d1d16fadaac82fa0a1855401d9f240aaae123831dc32e381dd24f88a3f004ab45df9f0251c408ed8f60a08fe99caf629af617c80ea0
diff --git a/dev-python/pocketlint/pocketlint-0.22.ebuild b/dev-python/pocketlint/pocketlint-0.22.ebuild
new file mode 100644
index 000000000000..617d05cb192f
--- /dev/null
+++ b/dev-python/pocketlint/pocketlint-0.22.ebuild
@@ -0,0 +1,17 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Shared code for running pylint against rhinstaller projects"
+HOMEPAGE="https://github.com/rhinstaller/pocketlint"
+SRC_URI="https://github.com/rhinstaller/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
diff --git a/dev-python/proto-plus/Manifest b/dev-python/proto-plus/Manifest
new file mode 100644
index 000000000000..a51ca87dab6c
--- /dev/null
+++ b/dev-python/proto-plus/Manifest
@@ -0,0 +1 @@
+DIST proto-plus-1.19.2.gh.tar.gz 61183 BLAKE2B 8c1c0a70ae573fc8c64004e4bd923f403bf82dbb3f9aef19239770fcd316e513ba11e6e47c56bda65c88e476072f0d90af02c83eb0fe8a4045cf3ceeccca3fc7 SHA512 c3cfb1b6aabeb4eab7f6c2c16551c1f9fbf29dc3199b496bc4b47b4b80cbe4684e5c97abe26fa4c1afd03c844a2e8f006f16c24932d2a7cf8190452943c2fad0
diff --git a/dev-python/proto-plus/metadata.xml b/dev-python/proto-plus/metadata.xml
new file mode 100644
index 000000000000..e4c2f05d06a1
--- /dev/null
+++ b/dev-python/proto-plus/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">proto-plus</remote-id>
+ <doc>https://proto-plus-python.readthedocs.io/en/latest/</doc>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/proto-plus/proto-plus-1.19.2.ebuild b/dev-python/proto-plus/proto-plus-1.19.2.ebuild
new file mode 100644
index 000000000000..3d929fce3337
--- /dev/null
+++ b/dev-python/proto-plus/proto-plus-1.19.2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Beautiful, Pythonic protocol buffers"
+HOMEPAGE="https://pypi.org/project/proto-plus/ https://github.com/googleapis/proto-plus-python"
+SRC_URI="
+ https://github.com/googleapis/proto-plus-python/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${PN}-python-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/protobuf-python[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/google-api-core[${PYTHON_USEDEP}]
+ dev-python/grpcio[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs \
+ dev-python/sphinx_rtd_theme
diff --git a/dev-python/pyenchant/Manifest b/dev-python/pyenchant/Manifest
index 137fd0cc4e0d..77328a9ebcf0 100644
--- a/dev-python/pyenchant/Manifest
+++ b/dev-python/pyenchant/Manifest
@@ -1 +1,2 @@
DIST pyenchant-3.2.1.gh.tar.gz 75501 BLAKE2B b70a47484a7f242ff42aa0018f495544f9e7bdab904f835bd52533c93bc28b06ab155132158d2551b9c32eadee83418b6bcb70becee769653196a9bb0d13f130 SHA512 3d1229307b070fa83bd8a287a787b40edfba31e748ca37a94f71caa4b355a9de829f3133db9772a57f0aa922fbd4f32c67c986e86c8905633b3940dd20be32ed
+DIST pyenchant-3.2.2.gh.tar.gz 75565 BLAKE2B 150bdca0d316b2242d60d8c42baf2e5e8cee3df2c57bf47be61170af956cb8c4ee1a584ad2aedd1ed8f203028938c8c0ada40ea45045746deeb4e67c53dc5c70 SHA512 42ab2e0cc38af4223ec0233c9e22cd151aa9bda5b56b7bd642e39e3a323ab3c034391123af5d3a5399551533ba1c1746abd6bc9ee2ab4c7879b9bf0ac91e056d
diff --git a/dev-python/pyenchant/pyenchant-3.2.2.ebuild b/dev-python/pyenchant/pyenchant-3.2.2.ebuild
new file mode 100644
index 000000000000..cc3fb38f7103
--- /dev/null
+++ b/dev-python/pyenchant/pyenchant-3.2.2.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for the Enchant spellchecking system"
+HOMEPAGE="https://github.com/pyenchant/pyenchant
+ https://pypi.org/project/pyenchant/"
+SRC_URI="
+ https://github.com/pyenchant/pyenchant/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="app-text/enchant:*"
+BDEPEND="
+ test? (
+ app-dicts/myspell-en
+ )"
+
+distutils_enable_tests pytest
diff --git a/dev-python/pynput/Manifest b/dev-python/pynput/Manifest
index 62ccc8a9e584..11f847a136f2 100644
--- a/dev-python/pynput/Manifest
+++ b/dev-python/pynput/Manifest
@@ -1 +1,2 @@
DIST pynput-1.6.8.tar.gz 94483 BLAKE2B c04714fb9cdda9527ed6d3c0e7c25214a7678ee908f1a638023b95c2f63242fa7dc28f193b2055338a9cce10c26399eb4f4af0ec69a6ffaa1be0b7e85481ecc4 SHA512 23cf2e47e0a284aeb2e294529a1f47a01a42bccae146500eee2ff74704cb5ef7ff33327cca5d6ebec338369b1341c489431891d9f034801cc6be9aac2af90442
+DIST pynput-1.7.3.gh.tar.gz 101244 BLAKE2B 9f0468b4f94c825e4a093cbfab1ede6988352c4fa3f04f7cc29948d353e0aaaac8bd446f758d79916c2801c7d30ac8f04060e6b27ee29af705a61627ce0c6a5b SHA512 ee8d4439716ddd34765114ca111292d6ec6aca133c18256b378afa4efaae9146280f146dfa9ebb40f0371cb13d449ac5cb87b8fde1f6a2d7fcab456718dae683
diff --git a/dev-python/pynput/pynput-1.7.3.ebuild b/dev-python/pynput/pynput-1.7.3.ebuild
new file mode 100644
index 000000000000..c6ff7cae1495
--- /dev/null
+++ b/dev-python/pynput/pynput-1.7.3.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Sends virtual input commands"
+HOMEPAGE="https://github.com/moses-palmer/pynput"
+
+LICENSE="GPL-3"
+SLOT="0"
+
+if [[ ${PV} = "9999" ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/moses-palmer/pynput.git"
+else
+ SRC_URI="
+ https://github.com/moses-palmer/pynput/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~x86"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/python-xlib[${PYTHON_USEDEP}]
+"
+
+src_prepare() {
+ sed -e "s/ + SETUP_PACKAGES,/,/g" -i setup.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/pyu2f/Manifest b/dev-python/pyu2f/Manifest
index aa7cbd9f2316..88204d6007c9 100644
--- a/dev-python/pyu2f/Manifest
+++ b/dev-python/pyu2f/Manifest
@@ -1 +1,2 @@
DIST pyu2f-0.1.4.tar.gz 38797 BLAKE2B 4240083b03bd596d1f87e42047980ab7c75d0064eec0ed2050d77bb92d26fac651af515c2c9b10d338e27ecd778e80ff47b5c33a68cd86328dc913c0e70cb1da SHA512 16f948b812edd5f0e4d97350872809b7c1b52f38eea49170e4aa21e0f695935dc0d71d4fa077ee1c1a3ef2f0711d62f0cc49983a89c841aa31aadf7b76340035
+DIST pyu2f-0.1.5.tar.gz 39008 BLAKE2B 475a47ad99bfbe8f85ebe246eb7c394d0855732fc6bf0dd887bb32ad02bacb1f34dadc5506d330add64bca5b353824e773d2b1e971e78d9cf9dc2438d12b4f62 SHA512 ddb15bb1d917117a2b19ad169ac0f8b8c7667d7ef8ee4c266cc30326429bb3627d41d84dc390ce0036d0b0f110e1d2da47d06d4e4d03a8be98cedb5ea3112246
diff --git a/dev-python/pyu2f/pyu2f-0.1.5.ebuild b/dev-python/pyu2f/pyu2f-0.1.5.ebuild
new file mode 100644
index 000000000000..e91562528c50
--- /dev/null
+++ b/dev-python/pyu2f/pyu2f-0.1.5.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python based U2F host library"
+HOMEPAGE="https://github.com/google/pyu2f"
+SRC_URI="https://github.com/google/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/pyfakefs[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( CONTRIBUTING.md README.md )
+
+distutils_enable_tests pytest
diff --git a/dev-python/subprocess-tee/Manifest b/dev-python/subprocess-tee/Manifest
index d3173fa08715..0a0e19605508 100644
--- a/dev-python/subprocess-tee/Manifest
+++ b/dev-python/subprocess-tee/Manifest
@@ -1,2 +1,3 @@
DIST subprocess-tee-0.3.2.tar.gz 14975 BLAKE2B 3198832f4c8bbf90e83038e39017cff1efc61ede84aded8220214e388a088777bdb861c044cddbf4b07c7b3172f8164e8bbf82b33de68d1fefea0f81bbacdfc9 SHA512 e681abc27623a3e05031bc05dc15e34f82c9cb544cd16742855411a9edb11fe8e38f9d11f8e651681d04081f121a47c38ebd172d70d282c8110a62699ef687d6
DIST subprocess-tee-0.3.4.tar.gz 16013 BLAKE2B 6a98caa111a73ef7062f26796dd3e919d05103ae4de88e2c5ce3acc04d9fbde6b31e39a1cee1984fd8d59b8168ab33faf7ff15c916d52a226ff2cb760fd8c796 SHA512 6a97ddc75b7e7954bb7f5f3bf05807e8dd892869cc13e60344c5f40363bdff4ec5441f829cfbcb8c3c4ab7f7b2697c0b1d4a871be8164acd7cfb6fea5032ae4b
+DIST subprocess-tee-0.3.5.tar.gz 16887 BLAKE2B 6eb25085eb2b2ee4557efd556d8035ab8f6b781b47783f24f227db04b3f82fffcfa29d69f0e3588c3fa6188446a3d96d4421e6b1ea5b3292f42635e19a404bab SHA512 47de075e7b6c75598dac0ad1899e1cce9dc1131b49c35ccade2b67c8d2a2d0248ce22a20c336519ff00bfd57269613bc663012e48cf0afa087c93ee74e18e4d4
diff --git a/dev-python/subprocess-tee/subprocess-tee-0.3.5.ebuild b/dev-python/subprocess-tee/subprocess-tee-0.3.5.ebuild
new file mode 100644
index 000000000000..363523d351bf
--- /dev/null
+++ b/dev-python/subprocess-tee/subprocess-tee-0.3.5.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="subprocess.run replacement with tee(1)-like output"
+HOMEPAGE="https://github.com/pycontribs/subprocess-tee"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test-full"
+
+REQUIRED_USE="test-full? ( test )"
+
+# ansible-molecule is invoked as an executable so no need for PYTHON_USEDEP
+BDEPEND="dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm_git_archive[${PYTHON_USEDEP}]
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/enrich[${PYTHON_USEDEP}]
+ ' python3_{8,9})
+ test-full? ( app-admin/ansible-molecule )
+ )"
+
+distutils_enable_tests pytest
+
+# dev-python/{,en}rich ebuilds do not support python3_10 yet.
+# We test fine (modulo some deprecation warnings) against 3.10 under tox, though.
+python_test() {
+ if [[ ${EPYTHON} == "python3.10" ]]; then
+ ewarn "Skipping tests for ${EPYTHON} due to missing dependencies"
+ return 0
+ fi
+ if ! use test-full; then
+ local -x EPYTEST_DESELECT=( "src/${PN/-/_}/test/test_func.py::test_molecule" )
+ fi
+ distutils-r1_python_test
+}
diff --git a/dev-python/twisted/twisted-21.2.0-r1.ebuild b/dev-python/twisted/twisted-21.2.0-r1.ebuild
index d16958b0fc47..46bade1e193a 100644
--- a/dev-python/twisted/twisted-21.2.0-r1.ebuild
+++ b/dev-python/twisted/twisted-21.2.0-r1.ebuild
@@ -42,8 +42,8 @@ RDEPEND="
)
serial? ( >=dev-python/pyserial-3.0[${PYTHON_USEDEP}] )
http2? (
- >=dev-python/hyper-h2-3.0.0[${PYTHON_USEDEP}]
- <dev-python/hyper-h2-4.0.0[${PYTHON_USEDEP}]
+ >=dev-python/h2-3.0.0[${PYTHON_USEDEP}]
+ <dev-python/h2-4.0.0[${PYTHON_USEDEP}]
>=dev-python/priority-1.1.0[${PYTHON_USEDEP}]
<dev-python/priority-2.0[${PYTHON_USEDEP}]
)
diff --git a/dev-python/twisted/twisted-21.7.0.ebuild b/dev-python/twisted/twisted-21.7.0.ebuild
index 16533bfe9084..622c5d9b7a26 100644
--- a/dev-python/twisted/twisted-21.7.0.ebuild
+++ b/dev-python/twisted/twisted-21.7.0.ebuild
@@ -43,8 +43,8 @@ RDEPEND="
)
serial? ( >=dev-python/pyserial-3.0[${PYTHON_USEDEP}] )
http2? (
- >=dev-python/hyper-h2-3.0.0[${PYTHON_USEDEP}]
- <dev-python/hyper-h2-4.0.0[${PYTHON_USEDEP}]
+ >=dev-python/h2-3.0.0[${PYTHON_USEDEP}]
+ <dev-python/h2-4.0.0[${PYTHON_USEDEP}]
>=dev-python/priority-1.1.0[${PYTHON_USEDEP}]
<dev-python/priority-2.0[${PYTHON_USEDEP}]
)
diff --git a/dev-python/werkzeug/Manifest b/dev-python/werkzeug/Manifest
index 6ff9d1fb2ea2..c9c6044d873c 100644
--- a/dev-python/werkzeug/Manifest
+++ b/dev-python/werkzeug/Manifest
@@ -1,3 +1,4 @@
DIST werkzeug-1.0.1.gh.tar.gz 907482 BLAKE2B d2dcdce8b1bcbb177b52b0915f2c0ac17d235dee3c77b23e81e4b35412d1f53a194d3c7c7f2a5c065ade99797effe72cc464cf6980b12c761a8a919338021660 SHA512 ba82120fb3e96e3a1334c6452d5ba1950fc016d2d147d643bbc2168ccec496f1dea799982ae8c578167155082c0bdbda5d56a23f64b4b6865f97e90e22df022e
DIST werkzeug-2.0.0.gh.tar.gz 894475 BLAKE2B 608de444944fa0bd35c0244a30967446abb8f0d05a8cd49f09707c368b6f9649b299f427fa7bc2e54628cf3eb688c399e420ecd54f12d7eab9cb063c7c740b07 SHA512 8c8e36a58fe53ac4ad3152a34145c726a9145782262b9d47be7bfe9a8e127666b0d0c0c50d305277a153298644732efe37e3785ceaa5b11394adfeb70d86e70d
DIST werkzeug-2.0.1.gh.tar.gz 894795 BLAKE2B cef0c6d704604d8b63d9e9d1ef8f232f97cae6654a4284b66ba7cd97f850df725d644ea11ed898a53f69668247545de86a9c44bc381606c700f4e2611fea7699 SHA512 721a6c3cf8f803c80873f68d94b273da2ddda79b5e83d9283b9af3d3c971bb8c7ac7828c7a60c33b9bded7b05f063810df12fc266ee7d264dc6261100fc97708
+DIST werkzeug-2.0.2.gh.tar.gz 896727 BLAKE2B 15506d57a8545eb45cb0f4efb78bcc4dfc1faa68910f09dfdd14f4bbb2404078247a7f61475c5fff9058a1557f7f6541eec262fb274e7ed82e1a82b9f644cf8b SHA512 789f210546c089e8a437a379e516147fd854806357938bd559a61855182143bdeca967c86a41d004e6adb119d31e4493e3c36e74aff989ee9cd08e48d1428dd9
diff --git a/dev-python/werkzeug/werkzeug-2.0.2.ebuild b/dev-python/werkzeug/werkzeug-2.0.2.ebuild
new file mode 100644
index 000000000000..61b56fd4bca7
--- /dev/null
+++ b/dev-python/werkzeug/werkzeug-2.0.2.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Collection of various utilities for WSGI applications"
+HOMEPAGE="
+ https://werkzeug.palletsprojects.com/
+ https://pypi.org/project/Werkzeug/
+ https://github.com/pallets/werkzeug/"
+SRC_URI="
+ https://github.com/pallets/werkzeug/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ !hppa? ( !ia64? (
+ $(python_gen_cond_dep '
+ dev-python/greenlet[${PYTHON_USEDEP}]
+ ' 'python*')
+ ) )
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/pytest-xprocess[${PYTHON_USEDEP}]
+ dev-python/watchdog[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+python_test() {
+ distutils_install_for_testing --via-venv
+
+ # the default portage tempdir is too long for AF_UNIX sockets
+ local -x TMPDIR=/tmp
+ epytest -p no:httpbin tests
+}
diff --git a/dev-python/yappi/Manifest b/dev-python/yappi/Manifest
index dae8e3e9f32d..5f30820a5e95 100644
--- a/dev-python/yappi/Manifest
+++ b/dev-python/yappi/Manifest
@@ -1 +1,2 @@
DIST yappi-1.3.2.tar.gz 936566 BLAKE2B 55f114b8ed8689944f8146cb283701b41f34e87f3e5104d7d8df239cd2afc24f1ca1bf86f99bf672735677005df6527c83c5306a7902ea45e335134a925d6e18 SHA512 7a555bf6db8d7b9d8b4e36ceda1a40319a3d0aa478c512fb0fbca678dd3966b1facffa7555dca1ffaf07461ed3ab81284bd643e331eb2e6d1ee9c99eab1acb55
+DIST yappi-1.3.3.gh.tar.gz 936700 BLAKE2B 45e974949dfeaf6487dd76ef13a1b7f4456e805e50d85d089a366c5dc4ac852ccc117224ce5f17affa1f1ba1950a86b6f666cbc8e76edf51bf21cf2f527b877f SHA512 5634b8af997a082031ad1ec12eb83498949f1a56be3a324137d118f55ee51758af8c129da30138fa54f165eafed1572fb2289476e6d0cd838a884ee9118fd8da
diff --git a/dev-python/yappi/yappi-1.3.3.ebuild b/dev-python/yappi/yappi-1.3.3.ebuild
new file mode 100644
index 000000000000..ccc268dd22ed
--- /dev/null
+++ b/dev-python/yappi/yappi-1.3.3.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+# no tags on github, no tests on pypi
+COMMIT_HASH="8bf7a650066f104f59c3cae4a189ec15e7d51c8c"
+
+DESCRIPTION="Yet Another Python Profiler"
+HOMEPAGE="https://pypi.org/project/yappi/ https://github.com/sumerc/yappi"
+SRC_URI="
+ https://github.com/sumerc/yappi/archive/${COMMIT_HASH}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${PN}-${COMMIT_HASH}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+BDEPEND="test? ( dev-python/gevent[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests unittest
+
+PATCHES=(
+ "${FILESDIR}/yappi-1.2.5-warnings.patch"
+ "${FILESDIR}/yappi-1.3.0-tests.patch"
+)
+
+python_prepare_all() {
+ cp tests/utils.py "${S}" || die
+ distutils-r1_python_prepare_all
+}